Quoting API

Environments:

Environment
URL

Staging

https://api.ichra-staging.healthsherpa.com

Production

https://api.ichra.healthsherpa.com

FIPS Code Lookup

See FIPS County Codes for what the fip_code value is and how to look it up from a zip code.

Exchange and Enrollability Notes

  • Quoting supports on-ex and off-ex.

  • Use off_ex: true for off-ex-only quoting.

  • If include_non_enrollable_offex: true is passed, returned plans can include non-enrollable off-ex plans.

If next step is deeplink enrollment:

  • Validate plan enrollability before attempting deeplink.

API Schema

Get health insurance plan quotes (POST)

post

Fetch health insurance plans based on location, household details, and filtering criteria using POST request body

Authorizations
x-api-keystringRequired

API authentication token (required for production). These will be generated as needed and shared with you to use.

Body

Request body for POST /api/v1/quotes endpoint

zip_codestringRequired

ZIP code for the location

Example: 85001
fip_codestringRequired

County code (FIPS) for the location

Example: 04013
household_incomenumberOptional

Annual household income. Only required if the client wants subsidy information included in the result.

Example: 50000
statestring · max: 2Optional

State abbreviation

Example: CA
plan_yearinteger · min: 2020Optional

Plan year

Example: 2025
current_pageinteger · min: 1Optional

Current page number for pagination

Default: 1Example: 1
per_pageinteger · min: 1 · max: 500Optional

Number of results per page (max 500)

Default: 20Example: 20
filterone ofOptional

Specifies which plan fields to include in the response. Only the requested fields (plus always-included fields: name, year, hios_id, gross_premium) will be returned for each plan. Can be provided as an array or comma-separated string.

string[]OptionalExample: ["plan_id","premium","deductible"]
or
stringOptionalExample: plan_id,premium,deductible
dental_searchbooleanOptional

Whether to include dental plans in search

Example: true
sortstring · enumOptional

Sort order for results

Example: premium_ascPossible values:
add_attributesbooleanOptional

Whether to add additional plan attributes

Example: true
utilizationstring · enumOptional

Expected healthcare utilization level

Example: mediumPossible values:
all_benefitsbooleanOptional

Whether to include all benefit details

Example: false
all_detailsbooleanOptional

Includes cost information for each network tier and provides comprehensive benefit metadata for each covered benefit.

Example: true
off_exbooleanOptional

Return only off-exchange plans. Otherwise, will only return on-exchange plans.

Example: false
include_non_enrollable_offexbooleanOptional

If true, includes off-exchange plans the are not enrollable on HealthSherpa.

Default: falseExample: false
issuer_hios_idsstring[]Optional

Filter by specific issuer HIOS IDs

Example: ["12345","67890"]
Responses
chevron-right
200

Successfully retrieved plan quotes

application/json
post
/api/v1/quotes

Last updated